prometheus-bind-exporter(1)

NAME
prometheus-bind-exporter - Prometheus exporter for Bind metrics

SYNOPSIS

prometheus-bind-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--bind.stats-url="http://localhost:8053/"
    HTTP XML API address of BIND server

--bind.timeout=10s
    Timeout for trying to get stats from BIND server

--bind.pid-file="/run/named/named.pid"
    Path to BIND's pid file to export process information

--bind.stats-version=auto
    BIND statistics version. Can be detected automatically.

--web.config.file=""
    [EXPERIMENTAL] Path to configuration file that can enable TLS or authentication.

--web.listen-address=":9119"
    Address to listen on for web interface and telemetry

--web.telemetry-path="/metrics"
    Path under which to expose metrics

--bind.stats-groups=server,view,tasks
    Comma-separated list of statistics to collect

--version
    Show application version.